#LCDNumber
Control
C
Outline
C
i
0
Filled
C
i
1
Flat
C
i
2
_new
m

(Parent)Container;
Value
p
f

SmallDecimalPoint
p
b

Overflow
r
b

Digits
p
i

Border
p
i<Border>

Style
p
i<LCDNumber,Outline,Filled,Flat>

_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand,Value,Digits,SmallDecimalPoint,Style,Border
#Dial
Control
C
_new
m

(Parent)Container;
Value
p
i

Mark
p
b

MinValue
p
i

MaxValue
p
i

Step
p
i

Wrap
p
b

PageStep
p
i

_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand,MinValue,MaxValue,Step,PageStep,Wrap,Mark
_DefaultEvent
C
s
Change
:Change
:


#SpinBox
Control
C
_new
m

(Parent)Container;
Prefix
p
s

Suffix
p
s

Value
p
i

FullText
r
s

Text
r
s

MinValue
p
i

MaxValue
p
i

Step
p
i

Wrap
p
b

_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand,Value,MinValue,MaxValue,Step,Prefix,Suffix,Wrap
:Change
:


#ScrollBar
Control
C
_new
m

(Parent)Container;
Tracking
p
b

Value
p
i

MinValue
p
i

MaxValue
p
i

Step
p
i

PageStep
p
i

_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand,MinValue,MaxValue,Step,Tracking,PageStep
_DefaultEvent
C
s
Change
:Change
:


#Slider
Control
C
_new
m

(Parent)Container;
Tracking
p
b

Value
p
i

Mark
p
b

MinValue
p
i

MaxValue
p
i

Step
p
i

PageStep
p
i

_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand,Value,MinValue,MaxValue,Step,Tracking,PageStep,Mark
_DefaultEvent
C
s
Change
:Change
:


#TableView
Control
C
None
C
i
0
Horizontal
C
i
1
Vertical
C
i
2
Both
C
i
3
Single
C
i
1
Multi
C
i
2
_new
m

(Parent)Container;
_free
m


Rows
r
.TableViewRows

Columns
r
.TableViewColumns

_get
m
.TableViewCell
(Row)i(Column)i
Row
p
i

Column
p
i

MoveTo
m

(Row)i(Column)i
Current
r
.TableViewCell

Grid
p
b

Border
p
b

ScrollBar
p
i<Scroll>

Header
p
i<TableView,None,Vertical,Horizontal,Both>

Mode
p
i<TableView,None,Single,Multi>

RowAt
m
i
(Y)i
ColumnAt
m
i
(X)i
ScrollX
p
i

ScrollY
p
i

ClientWidth
r
i

ClientW
r
i

ClientHeight
r
i

ClientH
r
i

Data
r
.TableViewData

Refresh
m

[(X)i(Y)i(Width)i(Height)i]
_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand,Mode,Grid,Header,Scrollbar,Border
_DefaultEvent
C
s
Click
:Change
:


:Activate
:


:Click
:


:Scroll
:


:Data
:

(Row)i(Column)i
:ColumnClick
:

(Column)i
:RowClick
:

(Row)i
#.TableViewData


Text
p
s

Picture
p
Picture

Alignment
p
i

Background
p
i

BackColor
p
i

Foreground
p
i

ForeColor
p
i

#.TableViewCell


Picture
r
Picture

Text
r
s

Alignment
r
i

X
r
i

Y
r
i

Left
r
i

Top
r
i

Width
r
i

Height
r
i

W
r
i

H
r
i

EnsureVisible
m


Refresh
m


#.TableViewRows


_get
m
.TableViewRow
(Row)i
Count
p
i

Height
p
i

H
p
i

Width
r
i

W
r
i

Resizable
p
b

Moveable
p
b

#.TableViewColumns


_get
m
.TableViewColumn
(Column)i
Count
p
i

Width
p
i

W
p
i

Height
r
i

H
r
i

Resizable
p
b

Moveable
p
b

#.TableViewRow


Height
p
i

H
p
i

Text
p
s

Title
p
s

Selected
r
b

Refresh
m


#.TableViewColumn


Width
p
i

W
p
i

Text
p
s

Title
p
s

Refresh
m


#Splitter
Container
C
Horizontal
C
i
0
Vertical
C
i
1
_new
m

(Parent)Container;
Orientation
p
i<Splitter>

Layout
p
s

:Change
:


_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand,Orientation
_DefaultEvent
C
s
Change
#HSplit
Container
C
_new
m

(Parent)Container;
Layout
p
s

:Resize
:


_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand
_DefaultEvent
C
s
Resize
_Arrangement
C
i
1
#VSplit
Container
C
_new
m

(Parent)Container;
Layout
p
s

:Resize
:


_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand
_DefaultEvent
C
s
Resize
_Arrangement
C
i
2
#Workspace
Control
C
Cascade
C
i
0
Tile
C
i
1
_init
M


_new
m

(Parent)Container;
Arrange
m

(Arrangement)i<Workspace>
ActiveWindow
r
Control

Children
r
.WorkspaceChildren

_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand
#.WorkspaceChildren


_next
m
Window

Count
r
i

#TextView
Control
C
_new
m

(Parent)Container;
_free
m


Clear
m


Text
p
s

Path
p
s

Root
r
s

Border
p
b

ScrollBar
p
i<Scroll>

ScrollX
p
i

ScrollY
p
i

TextWidth
p
i

TextHeight
p
i

:Link
:

(Path)s
_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand,Text,ScrollBar,Border
_DefaultEvent
C
s
Link
#MovieBox
Control
C
_new
m

(Parent)Container;
_free
m


Path
p
s

Playing
p
b

Border
p
i<Border>

Rewind
m


_Properties
C
s
X,Y,Width,Height,Visible,Enabled,Font,Background,Foreground,Tag,Mouse,ToolTip,Drop,Expand,Path,Playing,Border
